4Suite™ API Documentation

# ► Module Ft.Server.Client.Commands.Set

This command sets properties, such as access permissions or arbitrary user data, for a resource in a 4Suite repository. A subcommand specifying which type of property to set is required. See the help message for a subcommand for specific usage info.

Functions: Register |  |  |  | Fields: g_subCommands

## Modules

Acl | This command sets access control info for a resource in a 4Suite repository. It will prompts for specific permissions to add or modify. Requires write access on the resource. If necessary, you will be prompted first for credentials and access info to connect to the repository.
Owner | This command sets the owner of a resource in a 4Suite repository. The new owner must be an existing User. If necessary, you will be prompted first for credentials and access info to connect to the repository.
Strobe | This command adds an XSLT Stylesheet resource in a 4Suite repository to a list of stylesheets that will be automatically executed against an empty source document at regular intervals.
UserData | This command sets one custom name-value data pair associated with a User resource in a 4Suite repository. If necessary, you will be prompted first for credentials and access info to connect to the repository.

## Functions

Register()

## Fields

g_subCommands = [<module 'Ft.Server.Client.Commands.Set.Acl' from...parc64-2.4/Ft/Server/Client/Commands/Set/Acl.py'>, <module 'Ft.Server.Client.Commands.Set.Owner' fr...rc64-2.4/Ft/Server/Client/Commands/Set/Owner.py'>, <module 'Ft.Server.Client.Commands.Set.Strobe' f...c64-2.4/Ft/Server/Client/Commands/Set/Strobe.py'>, <module 'Ft.Server.Client.Commands.Set.UserData'...4-2.4/Ft/Server/Client/Commands/Set/UserData.py'>]